Bug 837008 - Review Request: rubygem-ruby-libvirt - Ruby bindings for LIBVIRT
Review Request: rubygem-ruby-libvirt - Ruby bindings for LIBVIRT
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 09:58 EDT by Bohuslav "Slavek" Kabrda
Modified: 2014-12-19 08:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 09:32:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-07-02 09:58:53 EDT
Spec URL: http://bkabrda.fedorapeople.org/pkgs/ruby-libvirt/rubygem-ruby-libvirt.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/ruby-libvirt/rubygem-ruby-libvirt-0.4.0-1.fc17.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4213157
Description: Ruby bindings for libvirt.
Fedora Account System Username: bkabrda
Comment 1 Bohuslav "Slavek" Kabrda 2012-07-02 10:00:15 EDT
Please note, that I have already asked upstream to fix the rpmlint warning about outdated license file:

https://bugzilla.redhat.com/show_bug.cgi?id=837006
Comment 2 Darryl L. Pierce 2012-07-02 10:06:26 EDT
Can you also remove the "-ruby-" from the package name since it's redundant?
Comment 3 Bohuslav "Slavek" Kabrda 2012-07-02 10:14:47 EDT
(In reply to comment #2)
> Can you also remove the "-ruby-" from the package name since it's redundant?

No, I don't think that's a good idea, as there is a "libvirt" gem [1] - and if we ever need to package it, this would turn out to be a problem.

[1] https://rubygems.org/gems/libvirt
Comment 4 Vít Ondruch 2012-07-03 01:48:03 EDT
I'll take it for a review.
Comment 5 Vít Ondruch 2012-07-03 02:27:27 EDT
* Forgotten TODO?
  - Your spec file contains "# TODO: move the extensions". Seems to be some
    relict?

* Disabled test suite
  - Sad to see test suite disabled. Have you tried to confirm with upstream that
    root privileges are really needed?(In reply to comment #3)

These comments are just minor nits. I see no other issues => APPROVED
Comment 6 Bohuslav "Slavek" Kabrda 2012-07-03 03:36:30 EDT
Thank you for the review!

(In reply to comment #5)
> * Forgotten TODO?
>   - Your spec file contains "# TODO: move the extensions". Seems to be some
>     relict?
> 

Yep, I forgot it there. I will remove it before importing into dist-git.

> * Disabled test suite
>   - Sad to see test suite disabled. Have you tried to confirm with upstream
> that
>     root privileges are really needed?(In reply to comment #3)
> 

The tests directly communicate with libvirt, for which you always needs to be superuser. Moreover, there are some system files modified in /etc. Without it, tests would have no meaning, everything would need to be mocked.

> These comments are just minor nits. I see no other issues => APPROVED


New Package SCM Request
=======================
Package Name: rubygem-ruby-libvirt
Short Description: Ruby bindings for LIBVIRT
Owners: bkabrda
Branches: 
InitialCC:
Comment 7 Gwyn Ciesla 2012-07-03 07:56:05 EDT
Git done (by process-git-requests).
Comment 8 Troy Dawson 2014-12-18 18:35:27 EST
Package Change Request
======================
Package Name: rubygem-ruby-libvirt
New Branches: epel7
Owners: tdawson
Comment 9 Gwyn Ciesla 2014-12-19 08:30:43 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.